Package org.apache.sling.cms

## Interface EditableResource

    @ProviderType
    public interface EditableResource

A interface for representing a resource that can be edited through the Sling CMS.

### Method Summary

All Methods Instance Methods Abstract Methods
`Component` `getComponent()` Get the component associated with this resource
`org.apache.sling.api.resource.Resource` `getComponentResource()` Gets the resource backing the component for the specified resource.
`String` `getEditPath()` Returns the path for the editor for this resource if available
`org.apache.sling.api.resource.Resource` `getEditResource()` Returns the resource for the editor for this resource if available
`org.apache.sling.api.resource.Resource` `getResource()` Gets the current resource.

### Method Detail

#### getComponent

    Component getComponent()

Get the component associated with this resource

Returns:
  the component associated with this resource

#### getComponentResource

    org.apache.sling.api.resource.Resource getComponentResource()

Gets the resource backing the component for the specified resource.

Returns:
  the component for the specified resource

#### getEditPath

    String getEditPath()

Returns the path for the editor for this resource if available

Returns:
  the editor path or null

#### getEditResource

    org.apache.sling.api.resource.Resource getEditResource()

Returns the resource for the editor for this resource if available

Returns:
  the editor resource or null

#### getResource

    org.apache.sling.api.resource.Resource getResource()

Gets the current resource.

Returns:
  the current resource